# Interface SentinelReportEndEventData

#### Hierarchy

- EventData
  - SentinelReportEndEventData
    - SentinelModuleEventData

- Defined in modules/packages/sentinel/dist/types/SentinelModel.d.ts:16

#####
Index

### Properties

reportEnd

## Properties

### reportEnd

reportEnd: {
module: SentinelModule<SentinelParams<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: "network.xyo.node.sentinel";
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<{
archivists?: string[];
schema: string;
}, "schema"> & {
schema: "network.xyo.node.sentinel";
witnesses?: string[];
} & {
schema: string;
}, "schema">, "schema"> & {
schema: string;
}, "schema">, undefined>, SentinelModuleEventData>;
} & {
boundWitness?: SchemaFields & PayloadFields & BoundWitnessFields & {
schema: "network.xyo.boundwitness";
};
errors?: Error[];
inPayloads?: (SchemaFields & PayloadFields & {
schema: string;
})[];
outPayloads: (SchemaFields & PayloadFields & {
schema: string;
})[];
}

- Defined in modules/packages/sentinel/dist/types/SentinelModel.d.ts:17

Generated using TypeDoc